PDA

View Full Version : WLAN DLINK DWA 547 treiber gesucht



jhonny_noname
11-Dec-2010, 06:47
Hallo allesamt,

ich habe mir soeben eine WLAN Karte (D-LINK DWA 547) zugelegt. welche treiber brauche ich f. den Betrieb unter Linux? (SuSE 11.x)

wäre nett, wenn ihr mir da helfen könnt.

erikro
11-Dec-2010, 07:18
Hallo zusammen,

eigentlich wollte ich dich hierhin:

MadWifi.net (http://madwifi.org/)

schicken. Aber irgendwie funktioniert die Site im Moment nicht so richtig.

Liebe Grüße

Erik

Akoellh
11-Dec-2010, 08:21
eigentlich wollte ich dich hierhin:

MadWifi.net (http://madwifi.org/)

schicken. Aber irgendwie funktioniert die Site im Moment nicht so richtig.


Macht nichts, denn selbst ohne die notwendigsten Informationen (PCI-ID) ist das 100%ig die falsche Adresse.

Fruchtratte
12-Dec-2010, 13:07
madwifi-project.org - Trac (http://madwifi-project.org/)

Aber wenn madwifi der richtige Treiber sein sollte, dann würde ich versuchen die entsprechenden RPMs zu installieren:
software.opensuse.org: Search Results (http://software.opensuse.org/search?baseproject=openSUSE%3A11.3&p=1&q=madwifi)

swerdna
19-Dec-2010, 03:47
Macht nichts, denn selbst ohne die notwendigsten Informationen (PCI-ID) ist das 100%ig die falsche Adresse.

Akoellh, you are less than helpful.

Akoellh
21-Dec-2010, 07:17
Akoellh, you are less than helpful.

Thanks for critizising the only post in this thread, which is not pointing the OP into the wrong direction.

I don't know if your comment is due to lack of german vocabulary or knowledge about drivers for recent Atheros devices, but no matter what, it was completely unnecessary like all links to madwifi (no matter if they are dead or not, I didn't even check the links when writing my answer, because that was NOT the reason for my statement).

pistazienfresser
21-Dec-2010, 14:20
Hallo jhonny_noname,

willkommen im Forum!

Ich hoffe, Du bist noch da?

Ich bin leider kein Spezialist für WLAN
(Ich beschäftige mit beruflich eher damit, ob jemand gesellschaftliche Regeln (insbes. die geschriebenen ;) ...) einhält oder nicht.)

Aber ich würde mal aus Compatibility/D-Link - madwifi-project.org - Trac (http://madwifi-project.org/wiki/Compatibility/D-Link) vermuten, dass in Deinem (wohl so schon länger vertriebenen) PCI-Gerät eine Karte von mit dem schönen Namen "AR5416" von Atheros stecken könnte.

Hast Du mal versucht, ob das Gerät einfach (mit den im kernel enthaltenen Treibern) funktioniert, wenn Du es einsteckst?

Ein Kollege hat mir (nach der Benutzung der üblichen Suchmaschine) den Tip gegeben, dass hardwarerelated:d-link_dwa-547_linux [fluxcoil.net] (http://fluxcoil.net/doku.php/hardwarerelated/d-link_dwa-547_linux) einige Informationen enthalten könnte.

Wenn ich das dort richtig verstehe, so wird "WLAN DLINK DWA 547" recht nett von dem im kernel enthaltenen freien Treiber "ath9k" unterstützt - nur damals (im Jahre d. H. 2008) nicht in der Kombination Ad-hoc-Modus *und* mit IEEE 802.11n bzw. Draft-N
sowie im nicht hostap-mode. also selbst als Host/Access Point .

Aus ath9k - Linux Wireless (http://wireless.kernel.org/en/users/Drivers/ath9k) mögen sich auch nette Neuigkeiten für die Jahre 2010 und folgende ergeben.

Aber dies setzt natürlich voraus, dass da (noch immer) die gleiche Karte eingebaut ist, über die in den verlinken Seiten so geschrieben wird bzw. es sich noch immer um das selbe ganze Ding (PCI ID ?) handelt (vgl. einige Modelle auch unter PCI - Linux Wireless (http://wireless.kernel.org/en/users/Devices/PCI) > Vendor: D-Link).

Was gibt denn

/sbin/lspci
so an Interessantem?
(Damit wir auch einigermaßen sicher sein können, was du da für ein "Schätzchen" erworben hast.)

Beste Grüße
pistazienfresser

Knurpht
21-Dec-2010, 15:03
Hallo jhonny_noname, herzlich willkommen,

Hier Atheros ath9k Geräte (http://wireless.kernel.org/en/users/Drivers/ath9k/products/external) kannst du sehen daß deine Karte völlig unterstützt wird. Kein Treiber installation benötigt, Treiber ist schon im Kernel. Also, einfach einbauen, starten und durch Yast die Karte konfigurieren sollte funkzionieren.

Viel Spaß !!

swerdna
21-Dec-2010, 22:18
Thanks for critizising the only post in this thread, which is not pointing the OP into the wrong direction.

I don't know if your comment is due to lack of german vocabulary or knowledge about drivers for recent Atheros devices, but no matter what, it was completely unnecessary like all links to madwifi (no matter if they are dead or not, I didn't even check the links when writing my answer, because that was NOT the reason for my statement).

Why you did not say simply that the device should be supported by ath9k (http://wireless.kernel.org/en/users/Drivers/ath9k/products/external) simply defeats me. The silly game you play where you speak in cryptic riddles helps no one at all. It's embarrassing.

Akoellh
23-Dec-2010, 10:16
Why you did not say simply that the device should be supported by ath9k (http://wireless.kernel.org/en/users/Drivers/ath9k/products/external) simply defeats me.

Because without a PCI-ID this would only be a guess.

Some vendors (and D-Link is one of them) tend to sell different devices (= different chipsets) under the same "Device Name", if you are lucky with different "vX"-suffix.

Searching for this "device name" leads you to at least two different PCI-IDs, in this case luckily both supported by ath9k and one of them supported by either madwifi or ath9k.

I must admit, I didn't do that before writing my "cryptic" answer, reading D-Link was enough to know there might be trouble, reading "madwifi" was enough to know this was the second call for trouble.

So the best outcome after those great hints to use madwifi would be that madwifi is useless and the other outcome would be interference of madwifi with ath9k and "rien ne va plus" BECAUSE of installing madwifi aka "doing what I was told by helpers".

And what if there is a third device with this "name" not yet found amongst the first few hits when searching with $SEARCH_ENGINE?

You don't think this happens?

Search for another recent device sold by D-Link under the name "WUSBN600" and maybe get the point WHY asking for an ID is mandatory before gving any advise.


The silly game you play where you speak in cryptic riddles helps no one at all. It's embarrassing.

Yes, ath9k MIGHT be the correct driver, even most likely it WILL be, can you say for sure it is?

I would NEVER give any definitive advise based on guessing without facts, which is axactly what my "cryptic" answer said in one simple sentence.

You might disagree, but you certainly have no right to call this embarrassing!

swerdna
23-Dec-2010, 12:17
That's a thoughtful and clear statement of the issue/s with that interface -- very useful and refreshing, thanks.

Based on what you just said, if I could write German I would now say something like this:

Hello OP


I think the ath9k driver likely will support your card. So I recommend not to install madwifi because the madwifi driver might conflict with the ath9k driver. But to get a clearer picture we need to look at the precise detail of the card, so could you please post the results of "/sbin/lspci -nn" se we can see the PCIID.

Which might have resulted in solving the issue for the OP twelve days ago, seven posts earlier. And that's also really embarrassing.